#include <iostream>

using namespace std;

int main()
{
     int n;
     int k;
     cin>>n>>k;
     int s;
     cin>>s;
     int m;
     bool b=true;
     if(s==k)
     {
         int r;
         cin>>r;
         cout<<r;
        b=false;
     }
     for(int i=1;i<n;i++)
     {
       if(b)
       {
           cin>>m;
           if(m==k)
           {
               if(i==n-1)
               {
                  cout<<s;
               }
               else
               {
                  int j;
                  cin>>j;
                  cout<<j;
               }
               b=false;
           }
       }
     }
    return 0;
}